Rygel.PluginInformation – librygel-core Reference Manual

# PluginInformation

## Object Hierarchy:

## Description:

public class PluginInformation : `Object`

Parse plugin sidecar file and provide path to the module.

Sidecar files are keyfiles, loosely compatible with the files used by libpeas.

A minimal file for the plugin librygel-sompelugin.so looks like this:

[Plugin] Name = SomeNameForThePlugin Module = someplugin

Name must not contain any whitespaces.

Namespace: Rygel
Package: librygel-core

## Content:

### Properties:

- public `string` module_path { construct; get; }
- public `string` name { construct; get; }

### Static methods:

- public static PluginInformation new_from_file (`File` file) throws `Error`
  Factory method to create a #RygelPluginInformation from #GFile.

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count